% Excercises with Indexing and Logicals

%% Indexing 1: Fixing Data
% You are preparing stimuli for an experiment and discover a mistake in the
% final column on which the stimuli will be based.  Each value in the final
% coumn needs to be squared.  Write code to correct the error, and DON'T
% simply square each mistaken value by hand!  The data that need correcting
% are defined below
% 
Bad_Data = [23 24 5;34 35 6; 47 48 7];

%% Indexing 2: Baseline correction
% Take the average of the first five points and subtract them from the
% entire series below.  
Time_series= [1.8147 1.9058 1.1270 1.9134 1.6324 1.0975 1.2785 ...
              1.5469 1.9575 1.9649 1.1576 1.9706 1.9572 1.4854 1.8003];

% If you have extra time:  Plot before and after, on the same plot

%% Logicals 1: Find the tall waiters
% There are 8 new waiters at a tiny restaurant
% and a matrix listing the height of each in inches:
Waiters = {'John' 'Paul' 'George' 'Ringo' 'Mick' 'Keith' 'Bill' 'Charlie'};
Heights = [70 69 68 65 62 68 69 72];
% Find all waiters taller than 68 inches
% Then find all waiters taller than the average height of these guys
% Now find all waiters taller than the median height of these guys

%% Logicals 2: Find the outlier
% Create a vector of 100 random normally-distributed numbers, and find any values greater than 
% 2 std deviations above the mean
% First make the vectors of numbers
% Do a three step method:  
%    find mean
%    find std deviation
%    find entries exceeding 2 sd, listing 1) their values and 2) index within the vector
 

